CK_BITMAP_BTS(3)

NAME
ck_bitmap_bts - set the bit at the specified index and fetch its original value

LIBRARY
Concurrency Kit (libck, -lck)

SYNOPSIS
#include <ck_bitmap.h>
bool
ck_bitmap_bts(ck_bitmap_t *bitmap, unsigned int n);

DESCRIPTION
ck_bitmap_bts() sets the bit at the offset specified by the argument n to 1 and fetches its original value.

RETURN VALUES
This function returns the original value of the bit at offset n in bitmap.

SEE ALSO
ck_bitmap_base(3), ck_bitmap_size(3), ck_bitmap_init(3), ck_bitmap_reset(3), ck_bitmap_clear(3), ck_bitmap_set(3), ck_bitmap_test(3), ck_bitmap_bits(3), ck_bitmap_buffer(3)

Additional information available at http://concurrencykit.org/